﻿package
{
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.FullScreenEvent;
	import flash.ui.Mouse;

	

	public class Damier extends Sprite
	{
		private var col:Number = 15;
		private var line:Number =15;
		private var grid:Sprite;
		private var points:Array;
		private var amplitude:Number = 600;
		private var diametre:Number = 80;

		
		
		public function Damier()
		{
			Mouse.hide();
			grid = new Sprite();
			addChild(grid);
			grid.x =0;
			grid.y =0;
			addEventListener(Event.ENTER_FRAME, enterHandler);
		}

		private function enterHandler(e:Event):void
		{
			var dist:Number;
			var distx:Number;
			var disty:Number;
			points = new Array();
			for(var i:Number = 0;i<col;i++){
				for(var j:Number = 0; j<line;j++){
					dist = Math.sqrt(Math.pow((j*50-mouseX-grid.x),2) + Math.pow(i*50-mouseY-grid.y,2));
					if(dist<diametre && dist>=2){
						distx= ((j*50)-mouseX+grid.x<0)?-dist:dist;
						disty= ((i*50)-mouseY+grid.x<0)?-dist:dist;
						points.push({"x":j*50+amplitude/distx,"y":i*50+amplitude/disty});
					}else{
						points.push({"x":j*50,"y":i*50});
					}
				}
			}
			
			grid.graphics.clear();
			grid.graphics.lineStyle(.3,Math.random()*0x000000,.7);
			
			for(var k:Number=0;k<points.length;k++){
				
				grid.graphics.beginFill(i++*0x36ffff,.3);
				grid.graphics.drawRoundRect(points[k].x,points[k].y,50,50,10);
				grid.graphics.endFill();
				grid.graphics.beginFill(0x36ffff,.3);
				grid.graphics.drawCircle(points[k].x,points[k].y,9);
				grid.graphics.endFill();
				
				if((k+1)%col != 0){
					
					//grid.graphics.moveTo(points[k].x,points[k].y);
					//grid.graphics.lineTo(points[k+1].x,points[k+1].y);
					
				}
				
				if(k+col < col*line){
					//grid.graphics.moveTo(points[k].x,points[k].y);
					//grid.graphics.lineTo(points[k+line].x,points[k+line].y);
				}
			}
		}
	}
}